# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(HiD/Generator.pm) perl(HiD/Page.pm) perl(Moose.pm) perl(Text/BibTeX.pm) perl(Text/BibTeX/Bib.pm)
# END SourceDeps(oneline)
%define module_name HiD-Generator-BibtexPage
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3
Release: alt1
Summary: HiD Bibtex publication list page generator
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BY/BYTERAZOR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This Generator produces a list of publications from a bibtex file.

Enable it by setting the 'bibtex_page.generate' key in your config to true
and the 'bibtex_page.layout' key to the path with the layout for the archive
page. You can also set 'bibtex_page.url' to the URL where the page should be
published to, or let it default to the site-wide destination. Finally,
'bibtex_page.destination' can be used to set a destination directory.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE examples
%perl_vendor_privlib/H*

%changelog
* Sat Jul 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1
- initial import by package builder

